MKFS.MINIX(8)

NUME
mkfs.minix - creează un sistem de fișiere Minix

REZUMAT

mkfs.minix [opțiuni] dispozitiv [dimensiune-în-blocuri]

DESCRIERE

mkfs.minix creează un sistem de fișiere Linux MINIX pe un dispozitiv (de obicei o partiție de disc).

dispozitivul este, de obicei, de următoarea formă:

    /dev/hda[1-8] (Discul IDE 1)
    /dev/hdb[1-8] (Discul IDE 2)
    /dev/sda[1-8] (Discul SCSI 1)
    /dev/sdb[1-8] (Discul SCSI 2)

Dispozitivul poate fi un dispozitiv bloc sau un fișier imagine al unui astfel de dispozitiv, dar acest lucru nu este impus. Așteptați-vă să nu fie prea distractiv pe un dispozitiv de caractere :-).

Parametrul dimensiune-în-blocuri este dimensiunea dorită a sistemului de fișiere, în blocuri. Acesta este prezent doar pentru compatibilitate retroactivă. Dacă este omis, dimensiunea va fi determinată automat. Sunt permise numai numere de blocuri strict mai mari de 10 și strict mai mici de 65536.

OPȚIUNI

-c, --check
    Verifică dacă există blocuri defecte pe dispozitiv înainte de a crea sistemul de fișiere. Dacă se găsește vreunul, se afișează numărul de blocuri.

-n, --namelength lungimea
    Specifică lungimea maximă a numelor de fișiere. În prezent, singurele valori admise sunt 14 și 30 pentru versiunile 1 și 2 ale sistemului de fișiere. Versiunea 3 permite doar valoarea 60. Valoarea implicită este 30.

--lock[=mod]
    Use an exclusive BSD lock for the device or file that is operated upon. The optional argument mode can be yes (1), no (0), or nonblock. If the mode argument is omitted, it defaults to yes. This option overrides the environment variable $LOCK_BLOCK_DEVICE. The default is to not use any lock at all, but using a lock is recommended to avoid collisions with systemd-udevd(8) or other tools.

-i, --inodes număr
    Specifică numărul de noduri-i pentru sistemul de fișiere.

-l, --badblocks nume-fișier
    Citește lista blocurilor defectuoase din nume-fișier. Fișierul are un număr de blocuri defectuoase pe linie. Se afișează numărul de blocuri defectuoase citite.

-1
    Creează un sistem de fișiere Minix versiunea 1. Acesta este modul implicit de creare al «mkfs.minix».

-2, -v
    Creează un sistem de fișiere Minix versiunea 2.

-3
    Creează un sistem de fișiere Minix versiunea 3.

-h, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese. Opțiunea lungă nu poate fi combinată cu alte opțiuni.

MEDIU

LOCK_BLOCK_DEVICE=<mod>
    utilizează un blocaj BSD exclusiv. Modul este "1" sau "0". A se vedea --lock pentru mai multe detalii.

STARE DE IEȘIRE

Starea de ieșire returnată de «mkfs.minix» este una dintre următoarele:

0
    Nicio eroare

8
    Eroare operațională

16
    Eroare de utilizare sau de sintaxă

CONSULTAȚI ȘI

fsck(8), mkfs(8), reboot(8)

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda mkfs.minix face parte din pachetul util-linux care poate fi descărcat de la